/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas.jtests.clients.local;

import junit.framework.Test;
import junit.framework.TestSuite;
import org.objectweb.jonas.jtests.beans.remoterunner.RemoteRunner;
import org.objectweb.jonas.jtests.beans.remoterunner.RSuite;
import org.objectweb.jonas.jtests.util.JTestCase;


/**
 * Test suite taht run ClientViewSL and ClientViewSF
 *
 */

public class C_ClientView   extends JTestCase {

    protected static String REMOTE_RUNNER_HOME = "EntrySLHome";


    public C_ClientView (String name) {
        super(name);
    }

    public static Test suite() {
        TestSuite suite = new TestSuite();
        suite.addTest(F_ClientViewSL.suite());
        suite.addTest(F_ClientViewSF.suite());
        return suite;
    }

    public static void main (String args[]) {
        RSuite rs = new RSuite("unused");
        rs.setRunnerHomeName(REMOTE_RUNNER_HOME);
        rs.useBeans("local", false);


        try {
            RemoteRunner tr = rs.getRemoteRunner();
            String Result = tr.run(C_ClientView.class);
            System.out.println(Result);
        } catch(Exception e) {
            e.printStackTrace();
            System.exit(2);
        }


    }
}
